summaryrefslogtreecommitdiff
path: root/extra
diff options
context:
space:
mode:
authorroot <root@elwms02.(none)>2010-04-06 16:13:08 +0200
committerroot <root@elwms02.(none)>2010-04-06 16:13:08 +0200
commit0e7005fcc7483c01aa102fbea358c5ac65a48d62 (patch)
tree11517ce0d3d2977c6732b3aa583b0008083e0bd3 /extra
downloadx-vdr-0e7005fcc7483c01aa102fbea358c5ac65a48d62.tar.gz
x-vdr-0e7005fcc7483c01aa102fbea358c5ac65a48d62.tar.bz2
hello world
Diffstat (limited to 'extra')
-rw-r--r--extra/VDR Player.desktop19
-rw-r--r--extra/burn-bg.sh22
-rw-r--r--extra/channelswitch93
-rw-r--r--extra/dvb-bootsplash/dvb-bootsplash26
-rw-r--r--extra/dvb-bootsplash/install-dvb-bs.sh30
-rw-r--r--extra/ffmpeg-links25
-rw-r--r--extra/fstab15
-rw-r--r--extra/install-vlc.sh57
-rw-r--r--extra/keymap974
-rw-r--r--extra/lilo.conf131
-rw-r--r--extra/make-new-makeconfig16
-rw-r--r--extra/powerbtn.sh23
-rw-r--r--extra/rc-update.sh49
-rw-r--r--extra/remote-event.sh52
-rw-r--r--extra/remote.conf124
-rw-r--r--extra/symsalabim82
-rw-r--r--extra/vdrcommander211
-rw-r--r--extra/x-vdr.desktop19
-rw-r--r--extra/xhost5
-rw-r--r--extra/xine-mplayer-sh/mplayer.sh63
-rw-r--r--extra/xine-vdr.desktop22
21 files changed, 2058 insertions, 0 deletions
diff --git a/extra/VDR Player.desktop b/extra/VDR Player.desktop
new file mode 100644
index 0000000..0ad4c02
--- /dev/null
+++ b/extra/VDR Player.desktop
@@ -0,0 +1,19 @@
+[Desktop Entry]
+Comment=VDR Player
+Comment[de]=VDR Player
+Encoding=UTF-8
+Exec=vdrplayer
+GenericName=VDR Player
+GenericName[de]=VDR Player
+Icon=tv
+MimeType=
+Name=VDR Player
+Name[de]=VDR Player
+Path=
+StartupNotify=false
+Terminal=false
+TerminalOptions=
+Type=Application
+X-DCOP-ServiceType=
+X-KDE-SubstituteUID=false
+X-KDE-Username=
diff --git a/extra/burn-bg.sh b/extra/burn-bg.sh
new file mode 100644
index 0000000..64271d4
--- /dev/null
+++ b/extra/burn-bg.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# CONFIG BEGIN
+ . /etc/default/vdr
+ TEMPLATEURL=http://vdr.f-x.de
+ TEMPLATEDIR=$VDRCONFDIR/plugins/burn
+ TEXT="Vorlage (burn)"
+# CONFIG END
+
+cp $TEMPLATEDIR/menu-bg.png $TEMPLATEDIR/original.png
+
+wget \
+ --mirror --no-directories --accept="zip" "$TEMPLATEURL" --directory-prefix="$TEMPLATEDIR/tmp"
+
+find "$TEMPLATEDIR" \
+ -name "*.zip" -exec unzip -o -q -d "$TEMPLATEDIR" \{} \;
+
+find "$TEMPLATEDIR" \( ! -name 'menu-b*.png' \) \
+ -name "*.png" -printf "\n$TEXT %f : cp -v \"$TEMPLATEDIR/%f\" \"$TEMPLATEDIR/menu-bg.png\";" \
+ > "$TEMPLATEDIR/reccmds.conf"
+
+chown $VDRUSER.$VDRGROUP -R $VDRCONFDIR/plugins/burn
diff --git a/extra/channelswitch b/extra/channelswitch
new file mode 100644
index 0000000..26be0f3
--- /dev/null
+++ b/extra/channelswitch
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+if [ -d /ramdisk ]; then # LiveCD Mode
+ export PFAD="/home/knoppix/vdr";
+ else # after kanotix-installer
+ export PFAD="/var/lib/vdr";
+fi
+
+# Load VDR configuration
+if [ -f /etc/default/vdr ] ; then
+ . /etc/default/vdr
+else
+ export VDRCONFDIR="$PFAD"
+fi
+
+export CHANNELSCONF="$VDRCONFDIR/channels.conf"
+
+if [ -d $VDRCONFDIR/channellists ] ; then export PFAD="$VDRCONFDIR/channellists"; fi
+
+
+#TMP="/tmp/channelswitch.tmp"
+
+K1="channels.conf.sat"
+K2="channels.conf.cable"
+K3="channels.conf.t.berlin"
+K4="channels.conf.t.braunschweig"
+K5="channels.conf.t.bremen"
+K6="channels.conf.t.hamburg"
+K7="channels.conf.t.luebeck"
+K8="channels.conf.t.hannover"
+K9="channels.conf.t.kiel"
+K10="channels.conf.t.koeln"
+K11="channels.conf.t.duesseldorf"
+K12="channels.conf.t.dortmund"
+K13="channels.conf.t.frankfurt"
+K14="channels.conf.t.mainz"
+K15="channels.conf.t.leipzig"
+K16="channels.conf.t.muenchen"
+K17="channels.conf.t.nuernberg"
+
+#ls $PFAD channels*.conf | awk -F ' ' '{print $8}'
+export KANALNR=`Xdialog --menubox "Kanalliste auswählen" 30 45 24 \
+"1)" "Sat (DVB-S)" \
+"2)" "Kabel (DVB-C)" \
+"3)" "BVB-T Berlin-Brandenburg" \
+"4)" "BVB-T Norddeutschland: Braunschweig" \
+"5)" "BVB-T Bremen/Bremerhaven/Oldenburg" \
+"6)" "BVB-T Norddeutschland: Hamburg" \
+"7)" "BVB-T Norddeutschland: Lübeck" \
+"8)" "BVB-T Norddeutschland: Hannover" \
+"9)" "BVB-T Norddeutschland: Kiel" \
+"10)" "BVB-T NRW: Köln/Bonn" \
+"11)" "BVB-T NRW: Ruhrgebiet/Düsseldorf" \
+"12)" "BVB-T NRW: Ruhrgebiet/Dortmund" \
+"13)" "BVB-T Rhein-Main-Gebiet: Frankfurt a.M." \
+"14)" "BVB-T Rhein-Main-Gebiet: Mainz" \
+"15)" "BVB-T Mitteldeutschland: Leipzig" \
+"16)" "BVB-T Süddeutschland: München" \
+"17)" "BVB-T Süddeutschland: Nürnberg" \
+ 2>&1`
+# 2>"$TMP"
+#export KANALNR="$(<$TMP)"
+
+#echo $KANALNR
+case $KANALNR in
+"1)") cp -f "$PFAD/$K1" "$CHANNELSCONF" ;;
+"2)") cp -f "$PFAD/$K2" "$CHANNELSCONF" ;;
+"3)") cp -f "$PFAD/$K3" "$CHANNELSCONF" ;;
+"4)") cp -f "$PFAD/$K4" "$CHANNELSCONF" ;;
+"5)") cp -f "$PFAD/$K5" "$CHANNELSCONF" ;;
+"6)") cp -f "$PFAD/$K6" "$CHANNELSCONF" ;;
+"7)") cp -f "$PFAD/$K7" "$CHANNELSCONF" ;;
+"8)") cp -f "$PFAD/$K8" "$CHANNELSCONF" ;;
+"9)") cp -f "$PFAD/$K9" "$CHANNELSCONF" ;;
+"10)") cp -f "$PFAD/$K10" "$CHANNELSCONF" ;;
+"11)") cp -f "$PFAD/$K11" "$CHANNELSCONF" ;;
+"12)") cp -f "$PFAD/$K12" "$CHANNELSCONF" ;;
+"13)") cp -f "$PFAD/$K13" "$CHANNELSCONF" ;;
+"14)") cp -f "$PFAD/$K14" "$CHANNELSCONF" ;;
+"15)") cp -f "$PFAD/$K15" "$CHANNELSCONF" ;;
+"16)") cp -f "$PFAD/$K16" "$CHANNELSCONF" ;;
+"17)") cp -f "$PFAD/$K17" "$CHANNELSCONF" ;;
+*) echo "Kanalliste nicht gefunden"; exit 0 ;;
+esac
+
+sudo killall -9 xine
+sudo killall -9 vdr
+sleep 1
+sudo /etc/init.d/vdr start
+
+Xdialog --infobox "Bitte starten Sie das Symbol VDRxine (TV) auf dem Desktop" 10 60 10000
+
+exit 0
diff --git a/extra/dvb-bootsplash/dvb-bootsplash b/extra/dvb-bootsplash/dvb-bootsplash
new file mode 100644
index 0000000..9047cf3
--- /dev/null
+++ b/extra/dvb-bootsplash/dvb-bootsplash
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# x-vdr (Installations-Skript fuer einen VDR mit Debian als Basis)
+# von Marc Wernecke - www.zulu-entertainment.de
+# 23.12.2006
+
+# /etc/init.d/dvb-bootsplash
+[ -r /etc/default/vdr ] || exit 1
+. /etc/default/vdr
+[ -r $VDRSCRIPTDIR/mplayer.sh.conf ] || exit 1
+. $VDRSCRIPTDIR/mplayer.sh.conf
+
+case "$1" in
+ start)
+ /usr/bin/mplayer -vo $VO $DIVXDIR/VDRboot.mpeg >/dev/null &
+ ;;
+ stop)
+ killall -q -9 mplayer
+ ;;
+ *)
+ echo "Usage: /etc/init.d/dvb-bootsplash {start|stop}"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/extra/dvb-bootsplash/install-dvb-bs.sh b/extra/dvb-bootsplash/install-dvb-bs.sh
new file mode 100644
index 0000000..389a16e
--- /dev/null
+++ b/extra/dvb-bootsplash/install-dvb-bs.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+# x-vdr (Installations-Skript fuer einen VDR mit Debian als Basis)
+# von Marc Wernecke - www.zulu-entertainment.de
+# 28.01.2007
+
+# install-dvb-bs.sh
+
+[ -r /etc/default/vdr ] || exit 1
+. /etc/default/vdr
+
+[ -f ./dvb-bootsplash ] || exit 2
+
+if [ ! -f ./VDRboot.mpeg ]; then
+ if [ ! -f ./startup.mpeg ]; then
+ wget --tries=2 http://vdrportal.magdlos.com/downloads/startup.mpeg
+ [ -f ./startup.mpeg ] || exit 3
+ fi
+ cp ./startup.mpeg ./VDRboot.mpeg
+fi
+
+[ -f ./VDRboot.mpeg ] || exit 4
+cp -f ./VDRboot.mpeg $DIVXDIR
+
+cp -f ./dvb-bootsplash /etc/init.d
+chmod 0755 /etc/init.d/dvb-bootsplash
+cd /etc/rcS.d
+ln -s ../init.d/dvb-bootsplash S05dvb-bootsplash
+
+
diff --git a/extra/ffmpeg-links b/extra/ffmpeg-links
new file mode 100644
index 0000000..2725564
--- /dev/null
+++ b/extra/ffmpeg-links
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+[ -d /usr/include/ffmpeg ] && exit
+
+mkdir -p /usr/include/ffmpeg
+cd /usr/include/ffmpeg
+
+ln -vnfs /usr/include/libavcodec libavcodec
+ln -vnfs /usr/include/libavcodec/avcodec.h avcodec.h
+
+ln -vnfs /usr/include/libavdevice libavdevice
+ln -vnfs /usr/include/libavdevice/avdevice.h avdevice.h
+
+ln -vnfs /usr/include/libavfilter libavfilter
+
+ln -vnfs /usr/include/libavformat libavformat
+ln -vnfs /usr/include/libavformat/avformat.h avformat.h
+
+ln -vnfs /usr/include/libavutil libavutil
+
+ln -vnfs /usr/include/libpostproc libpostproc
+ln -vnfs /usr/include/libpostproc/postprocess.h postprocess.h
+
+ln -vnfs /usr/include/libswscale libswscale
+ln -vnfs /usr/include/libswscale/swscale.h swscale.h
diff --git a/extra/fstab b/extra/fstab
new file mode 100644
index 0000000..732eff6
--- /dev/null
+++ b/extra/fstab
@@ -0,0 +1,15 @@
+# /etc/fstab: static file system information.
+#
+# <file system> <mount point> <type> <options> <dump> <pass>
+proc /proc proc defaults 0 0
+usbfs /proc/bus/usb usbfs devmode=0666 0 0
+/dev/hda1 / ext3 defaults,errors=remount-ro 0 1
+/dev/hda2 none swap sw 0 0
+/dev/hda5 /media/hda5 ext3 defaults 0 0
+#/dev/cdrom /media/cdrom0 udf,iso9660 user,noauto 0 0
+# Added for x-vdr
+/dev/cdrom /media/cdrom0 auto ro,noauto,user,exec 0 0
+/dev/cdrom /media/cdfs cdfs ro,noauto,user,exec 0 0
+/dev/dvd /media/cdrom0 auto ro,noauto,user,exec 0 0
+/dev/dvd /media/cdfs cdfs ro,noauto,user,exec 0 0
+
diff --git a/extra/install-vlc.sh b/extra/install-vlc.sh
new file mode 100644
index 0000000..ee14070
--- /dev/null
+++ b/extra/install-vlc.sh
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Installation von vlc-0.9.8a auf sidux-2009-01.
+#
+# Damit alle notwendigen Pakete installiert sind,
+# muss x-vdr/apt.sh vorher mindestens einmal gestartet werden.
+#
+# Anstatt 'checkinstall' ginge auch 'dpkg-buildpackage':
+# svn co svn://svn.debian.org/pkg-multimedia/videolan/vlc/debian debian &&
+# dpkg-buildpackage -rfakeroot -us -uc &&
+# dazu muessen dann aber noch einige libs nach installiert werden.
+#
+# Marc Wernecke - www.zulu-entertainment.de
+# 17.02.2009
+
+# pre-install
+apt-get update
+apt-get -y --force-yes --purge remove libvlc0 vlc vlc-nox
+apt-get -y --force-yes install libhal-dev libfribidi-dev libgcrypt-dev
+apt-get -y --force-yes install libcddb2-dev libdvbpsi5-dev xulrunner-dev
+apt-get -y --force-yes install liblivemedia-dev libpulse-dev
+
+[ -f /root/vlc-0.9.8a.tar.bz2 ] ||
+ wget --tries=2 http://download.videolan.org/pub/videolan/vlc/0.9.8a/vlc-0.9.8a.tar.bz2 --directory-prefix=/root
+
+[ -f /root/vlc-0.9.8a.tar.bz2 ] || exit 1
+[ -d /usr/local/src/vlc-0.9.8a ] && rm -rf /usr/local/src/vlc-0.9.8a
+tar xjf /root/vlc-0.9.8a.tar.bz2 -C /usr/local/src
+
+# install
+cd /usr/local/src/vlc-0.9.8a
+
+./configure --prefix=/usr \
+ --disable-glx --disable-opengl \
+ --enable-mozilla --enable-faad --enable-flac &&
+make &&
+checkinstall --fstrans=no --install=yes --pkgname=vlc --pkgversion "0.9.8a" --default &&
+
+# create vlc-nox dummy package
+echo "Section: misc
+Priority: optional
+Standards-Version: 3.6.2
+
+Package: vlc-nox
+Version: 0.9.8a-1
+Maintainer: Musterman <Musterman@musterman.de>
+Depends: vlc
+Provides: vlc
+Architecture: all
+Description: vlc-nox dummy package
+" > ./vlc-nox &&
+
+equivs-build vlc-nox &&
+dpkg -i vlc-nox_0.9.8a-1_all.deb &&
+
+cp -f *.deb /root
+
diff --git a/extra/keymap b/extra/keymap
new file mode 100644
index 0000000..9ce435d
--- /dev/null
+++ b/extra/keymap
@@ -0,0 +1,974 @@
+##
+# xine key bindings.
+# Automatically generated by xine-ui version 0.99.3cvs.
+##
+
+# start playback
+Play {
+ key = Return
+ modifier = none
+}
+
+# playback pause toggle
+Pause {
+ key = space
+ modifier = none
+}
+
+# stop playback
+Stop {
+ key = S
+ modifier = none
+}
+
+# take a snapshot
+Snapshot {
+ key = t
+ modifier = none
+}
+
+# eject the current medium
+Eject {
+ key = e
+ modifier = none
+}
+
+# select and play next MRL in the playlist
+NextMrl {
+ key = Next
+ modifier = none
+}
+
+# select and play previous MRL in the playlist
+PriorMrl {
+ key = Prior
+ modifier = none
+}
+
+# loop mode toggle
+ToggleLoopMode {
+ key = l
+ modifier = none
+}
+
+# stop playback after played stream
+PlaylistStop {
+ key = l
+ modifier = control
+}
+
+# scan playlist to grab stream infos
+ScanPlaylistInfo {
+ key = s
+ modifier = control
+}
+
+# add a mediamark from current playback
+AddMediamark {
+ key = a
+ modifier = control
+}
+
+# edit selected mediamark
+MediamarkEditor {
+ key = e
+ modifier = control
+}
+
+# set position to -60 seconds in current stream
+SeekRelative-60 {
+ key = Left
+ modifier = mod4
+}
+
+# set position to +60 seconds in current stream
+SeekRelative+60 {
+ key = Right
+ modifier = mod4
+}
+
+# set position to -30 seconds in current stream
+SeekRelative-30 {
+ key = Left
+ modifier = meta
+}
+
+# set position to +30 seconds in current stream
+SeekRelative+30 {
+ key = Right
+ modifier = meta
+}
+
+# set position to -15 seconds in current stream
+SeekRelative-15 {
+ key = Left
+ modifier = control
+}
+
+# set position to +15 seconds in current stream
+SeekRelative+15 {
+ key = Right
+ modifier = control
+}
+
+# set position to -7 seconds in current stream
+SeekRelative-7 {
+ key = Left
+ modifier = mod3
+}
+
+# set position to +7 seconds in current stream
+SeekRelative+7 {
+ key = Right
+ modifier = mod3
+}
+
+# set position to beginning of current stream
+SetPosition0% {
+ key = 0
+ modifier = control
+}
+
+# set position to 10% of current stream
+SetPosition10% {
+ key = 1
+ modifier = control
+}
+
+# set position to 20% of current stream
+SetPosition20% {
+ key = 2
+ modifier = control
+}
+
+# set position to 30% of current stream
+SetPosition30% {
+ key = 3
+ modifier = control
+}
+
+# set position to 40% of current stream
+SetPosition40% {
+ key = 4
+ modifier = control
+}
+
+# set position to 50% of current stream
+SetPosition50% {
+ key = 5
+ modifier = control
+}
+
+# set position to 60% of current stream
+SetPosition60% {
+ key = 6
+ modifier = control
+}
+
+# set position to 70% of current stream
+SetPosition70% {
+ key = 7
+ modifier = control
+}
+
+# set position to 80% of current stream
+SetPosition80% {
+ key = 8
+ modifier = control
+}
+
+# set position to 90% of current stream
+SetPosition90% {
+ key = 9
+ modifier = control
+}
+
+# increment playback speed
+SpeedFaster {
+ key = Up
+ modifier = mod4
+}
+
+# decrement playback speed
+SpeedSlower {
+ key = Down
+ modifier = mod4
+}
+
+# reset playback speed
+SpeedReset {
+ key = Down
+ modifier = meta
+}
+
+# increment audio volume
+Volume+ {
+ key = XKey_176
+ modifier = none
+}
+
+# decrement audio volume
+Volume- {
+ key = XKey_174
+ modifier = none
+}
+
+# increment amplification level
+Amp+ {
+ key = V
+ modifier = control
+}
+
+# decrement amplification level
+Amp- {
+ key = v
+ modifier = control
+}
+
+# reset amplification to default value
+ResetAmp {
+ key = A
+ modifier = control
+}
+
+# audio muting toggle
+Mute {
+ key = XKey_160
+ modifier = none
+}
+
+# select next audio channel
+AudioChannelNext {
+ key = plus
+ modifier = none
+}
+
+# select previous audio channel
+AudioChannelPrior {
+ key = minus
+ modifier = none
+}
+
+# select next sub picture (subtitle) channel
+SpuNext {
+ key = period
+ modifier = none
+}
+
+# select previous sub picture (subtitle) channel
+SpuPrior {
+ key = comma
+ modifier = none
+}
+
+# interlaced mode toggle
+ToggleInterleave {
+ key = i
+ modifier = none
+}
+
+# cycle aspect ratio values
+ToggleAspectRatio {
+ key = a
+ modifier = none
+}
+
+# reduce the output window size by factor 1.2
+WindowReduce {
+ key = less
+ modifier = none
+}
+
+# enlarge the output window size by factor 1.2
+WindowEnlarge {
+ key = greater
+ modifier = none
+}
+
+# set video output window to 50%
+Window50 {
+ key = 1
+ modifier = meta
+}
+
+# set video output window to 100%
+Window100 {
+ key = 2
+ modifier = meta
+}
+
+# set video output window to 200%
+Window200 {
+ key = 3
+ modifier = meta
+}
+
+# zoom in
+ZoomIn {
+ key = z
+ modifier = none
+}
+
+# zoom out
+ZoomOut {
+ key = Z
+ modifier = none
+}
+
+# zoom in horizontally
+ZoomInX {
+ key = z
+ modifier = control
+}
+
+# zoom out horizontally
+ZoomOutX {
+ key = Z
+ modifier = control
+}
+
+# zoom in vertically
+ZoomInY {
+ key = z
+ modifier = meta
+}
+
+# zoom out vertically
+ZoomOutY {
+ key = Z
+ modifier = meta
+}
+
+# reset zooming
+ZoomReset {
+ key = z
+ modifier = control, meta
+}
+
+# resize output window to stream size
+Zoom1:1 {
+ key = s
+ modifier = none
+}
+
+# fullscreen toggle
+ToggleFullscreen {
+ key = f
+ modifier = none
+}
+
+# Xinerama fullscreen toggle
+ToggleXineramaFullscr {
+ key = F
+ modifier = none
+}
+
+# jump to media Menu
+Menu {
+ key = KP_Delete
+ modifier = none
+}
+
+# jump to Title Menu
+TitleMenu {
+ key = F1
+ modifier = mod4
+}
+
+# jump to Root Menu
+RootMenu {
+ key = F2
+ modifier = mod4
+}
+
+# jump to Subpicture Menu
+SubpictureMenu {
+ key = F3
+ modifier = mod4
+}
+
+# jump to Audio Menu
+AudioMenu {
+ key = F4
+ modifier = mod4
+}
+
+# jump to Angle Menu
+AngleMenu {
+ key = F5
+ modifier = mod4
+}
+
+# jump to Part Menu
+PartMenu {
+ key = F6
+ modifier = mod4
+}
+
+# menu navigate up
+EventUp {
+ key = KP_Up
+ modifier = none
+}
+
+# menu navigate down
+EventDown {
+ key = KP_Down
+ modifier = none
+}
+
+# menu navigate left
+EventLeft {
+ key = KP_Left
+ modifier = none
+}
+
+# menu navigate right
+EventRight {
+ key = KP_Right
+ modifier = none
+}
+
+# menu select
+EventSelect {
+ key = KP_Enter
+ modifier = none
+}
+
+# jump to next chapter
+EventNext {
+ key = KP_Next
+ modifier = none
+}
+
+# jump to previous chapter
+EventPrior {
+ key = KP_Prior
+ modifier = none
+}
+
+# select next angle
+EventAngleNext {
+ key = KP_Home
+ modifier = none
+}
+
+# select previous angle
+EventAnglePrior {
+ key = KP_End
+ modifier = none
+}
+
+# visibility toggle of help window
+HelpShow {
+ key = h
+ modifier = meta
+}
+
+# visibility toggle of video post effect window
+VPProcessShow {
+ key = P
+ modifier = meta
+}
+
+# toggle post effect usage
+VPProcessEnable {
+ key = P
+ modifier = control, meta
+}
+
+# visibility toggle of output window
+ToggleWindowVisibility {
+ key = h
+ modifier = none
+}
+
+# bordered window toggle of output window
+ToggleWindowBorder {
+ key = b
+ modifier = none
+}
+
+# visibility toggle of UI windows
+ToggleVisibility {
+ key = g
+ modifier = none
+}
+
+# visibility toggle of control window
+ControlShow {
+ key = c
+ modifier = meta
+}
+
+# visibility toggle of mrl browser window
+MrlBrowser {
+ key = m
+ modifier = meta
+}
+
+# visibility toggle of playlist editor window
+PlaylistEditor {
+ key = p
+ modifier = meta
+}
+
+# visibility toggle of the setup window
+SetupShow {
+ key = s
+ modifier = meta
+}
+
+# visibility toggle of the event sender window
+EventSenderShow {
+ key = e
+ modifier = meta
+}
+
+# visibility toggle of analog TV window
+TVAnalogShow {
+ key = t
+ modifier = meta
+}
+
+# visibility toggle of log viewer
+ViewlogShow {
+ key = l
+ modifier = meta
+}
+
+# visibility toggle of stream info window
+StreamInfosShow {
+ key = i
+ modifier = meta
+}
+
+# display stream information using OSD
+OSDStreamInfos {
+ key = i
+ modifier = control
+}
+
+# show OSD menu
+OSDMenu {
+ key = O
+ modifier = none
+}
+
+# enter key binding editor
+KeyBindingEditor {
+ key = k
+ modifier = meta
+}
+
+# open file selector
+FileSelector {
+ key = o
+ modifier = control
+}
+
+# select a subtitle file
+SubSelector {
+ key = S
+ modifier = control
+}
+
+# display MRL/Ident toggle
+MrlIdentToggle {
+ key = t
+ modifier = control
+}
+
+# grab pointer toggle
+GrabPointer {
+ key = Insert
+ modifier = none
+}
+
+# enter the number 0
+Number0 {
+ key = 0
+ modifier = none
+}
+
+# enter the number 1
+Number1 {
+ key = 1
+ modifier = none
+}
+
+# enter the number 2
+Number2 {
+ key = 2
+ modifier = none
+}
+
+# enter the number 3
+Number3 {
+ key = 3
+ modifier = none
+}
+
+# enter the number 4
+Number4 {
+ key = 4
+ modifier = none
+}
+
+# enter the number 5
+Number5 {
+ key = 5
+ modifier = none
+}
+
+# enter the number 6
+Number6 {
+ key = 6
+ modifier = none
+}
+
+# enter the number 7
+Number7 {
+ key = 7
+ modifier = none
+}
+
+# enter the number 8
+Number8 {
+ key = 8
+ modifier = none
+}
+
+# enter the number 9
+Number9 {
+ key = 9
+ modifier = none
+}
+
+# add 10 to the next entered number
+Number10add {
+ key = plus
+ modifier = mod3
+}
+
+# set position in current stream to numeric percentage
+SetPosition% {
+ key = slash
+ modifier = none
+}
+
+# set position forward by numeric argument in current stream
+SeekRelative+ {
+ key = Up
+ modifier = meta
+}
+
+# set position back by numeric argument in current stream
+SeekRelative- {
+ key = Up
+ modifier = mod3
+}
+
+# change audio video syncing (delay video)
+AudioVideoDecay+ {
+ key = m
+ modifier = none
+}
+
+# change audio video syncing (delay audio)
+AudioVideoDecay- {
+ key = n
+ modifier = none
+}
+
+# reset audio video syncing offset
+AudioVideoDecayReset {
+ key = Home
+ modifier = none
+}
+
+# change subtitle syncing (delay video)
+SpuVideoDecay+ {
+ key = M
+ modifier = none
+}
+
+# change subtitle syncing (delay subtitles)
+SpuVideoDecay- {
+ key = N
+ modifier = none
+}
+
+# reset subtitle syncing offset
+SpuVideoDecayReset {
+ key = End
+ modifier = none
+}
+
+# toggle TV modes (on the DXR3)
+ToggleTVmode {
+ key = o
+ modifier = control, meta
+}
+
+# switch Monitor to DPMS standby mode
+DPMSStandby {
+ key = d
+ modifier = none
+}
+
+# increase hue by 10
+HueControl+ {
+ key = VOID
+ modifier = none
+}
+
+# decrease hue by 10
+HueControl- {
+ key = VOID
+ modifier = none
+}
+
+# increase saturation by 10
+SaturationControl+ {
+ key = VOID
+ modifier = none
+}
+
+# decrease saturation by 10
+SaturationControl- {
+ key = VOID
+ modifier = none
+}
+
+# increase brightness by 10
+BrightnessControl+ {
+ key = VOID
+ modifier = none
+}
+
+# decrease brightness by 10
+BrightnessControl- {
+ key = VOID
+ modifier = none
+}
+
+# increase contrast by 10
+ContrastControl+ {
+ key = VOID
+ modifier = none
+}
+
+# decrease contrast by 10
+ContrastControl- {
+ key = VOID
+ modifier = none
+}
+
+# quit the program
+Quit {
+ key = q
+ modifier = none
+}
+
+# VDR Red button
+VDRButtonRed {
+ key = F1
+ modifier = none
+}
+
+# VDR Green button
+VDRButtonGreen {
+ key = F2
+ modifier = none
+}
+
+# VDR Yellow button
+VDRButtonYellow {
+ key = F3
+ modifier = none
+}
+
+# VDR Blue button
+VDRButtonBlue {
+ key = F4
+ modifier = none
+}
+
+# VDR play
+VDRPlay {
+ key = VOID
+ modifier = none
+}
+
+# VDR Pause
+VDRPause {
+ key = VOID
+ modifier = none
+}
+
+# VDR Stop
+VDRStop {
+ key = VOID
+ modifier = none
+}
+
+# VDR Record
+VDRRecord {
+ key = VOID
+ modifier = none
+}
+
+# VDR Fast Forward
+VDRFastFwd {
+ key = VOID
+ modifier = none
+}
+
+# VDR Fast Rewind
+VDRFastRew {
+ key = VOID
+ modifier = none
+}
+
+# VDR power
+VDRPower {
+ key = VOID
+ modifier = none
+}
+
+# VDR next channel
+VDRChannelPlus {
+ key = VOID
+ modifier = none
+}
+
+# VDR previous channel
+VDRChannelMinus {
+ key = VOID
+ modifier = none
+}
+
+# VDR schedule menu
+VDRSchedule {
+ key = VOID
+ modifier = none
+}
+
+# VDR Channel menu
+VDRChannels {
+ key = VOID
+ modifier = none
+}
+
+# VDR Timers menu
+VDRTimers {
+ key = VOID
+ modifier = none
+}
+
+# VDR Recordings menu
+VDRRecordings {
+ key = VOID
+ modifier = none
+}
+
+# VDR Setup menu
+VDRSetup {
+ key = VOID
+ modifier = none
+}
+
+# VDR Command menu
+VDRCommands {
+ key = VOID
+ modifier = none
+}
+
+# VDR Command Back
+VDRBack {
+ key = KP_Insert
+ modifier = none
+}
+
+# VDR User command 1
+VDRUser1 {
+ key = VOID
+ modifier = none
+}
+
+# VDR User command 2
+VDRUser2 {
+ key = VOID
+ modifier = none
+}
+
+# VDR User command 3
+VDRUser3 {
+ key = VOID
+ modifier = none
+}
+
+# VDR User command 4
+VDRUser4 {
+ key = VOID
+ modifier = none
+}
+
+# VDR User command 5
+VDRUser5 {
+ key = VOID
+ modifier = none
+}
+
+# VDR User command 6
+VDRUser6 {
+ key = VOID
+ modifier = none
+}
+
+# VDR User command 7
+VDRUser7 {
+ key = VOID
+ modifier = none
+}
+
+# VDR User command 8
+VDRUser8 {
+ key = VOID
+ modifier = none
+}
+
+# VDR User command 9
+VDRUser9 {
+ key = VOID
+ modifier = none
+}
+
+# VDR Volume plus
+VDRVolumePlus {
+ key = VOID
+ modifier = none
+}
+
+# VDR Volume minus
+VDRVolumeMinus {
+ key = VOID
+ modifier = none
+}
+
+# VDR Audio Mute
+VDRMute {
+ key = VOID
+ modifier = none
+}
+
+# VDR Audio menu
+VDRAudio {
+ key = VOID
+ modifier = none
+}
+
+##
+# End of xine key bindings.
+##
diff --git a/extra/lilo.conf b/extra/lilo.conf
new file mode 100644
index 0000000..d9f525c
--- /dev/null
+++ b/extra/lilo.conf
@@ -0,0 +1,131 @@
+# /etc/lilo.conf - See: `lilo(8)' and `lilo.conf(5)',
+# --------------- `install-mbr(8)', `/usr/share/doc/lilo/',
+# and `/usr/share/doc/mbr/'.
+
+# Remove this line when you are done configuring. -KK
+
+
+# +---------------------------------------------------------------+
+# | !! Reminder !! |
+# | |
+# | Don't forget to run `lilo' after you make changes to this |
+# | conffile, `/boot/bootmess.txt', or install a new kernel. The |
+# | computer will most likely fail to boot if a kernel-image |
+# | post-install script or you don't remember to run `lilo'. |
+# | |
+# +---------------------------------------------------------------+
+
+# Support LBA for large hard disks.
+#
+lba32
+
+# Specifies the boot device. This is where Lilo installs its boot
+# block. It can be either a partition, or the raw device, in which
+# case it installs in the MBR, and will overwrite the current MBR.
+#
+boot=/dev/hda
+
+# Specifies the device that should be mounted as root. (`/')
+#
+root=/dev/hda1
+
+# Enable map compaction:
+# Tries to merge read requests for adjacent sectors into a single
+# read request. This drastically reduces load time and keeps the
+# map smaller. Using `compact' is especially recommended when
+# booting from a floppy disk. It is disabled here by default
+# because it doesn't always work.
+#
+# compact
+
+# Default menu for Debian. (Using the images from debian-bootscreen)
+# from Philipp Wolfer <phil@newswriter.org>.
+bitmap=/boot/debian.bmp
+bmp-colors=1,,0,2,,0
+bmp-table=120p,173p,1,15,17
+bmp-timer=254p,432p,1,0,0
+
+# Install the specified file as the new boot sector.
+# LILO supports built in boot sectory, you only need
+# to specify the type, choose one from 'text', 'menu' or 'bitmap'.
+# new: install=bmp old: install=/boot/boot-bmp.b
+# new: install=text old: install=/boot/boot-text.b
+# new: install=menu old: install=/boot/boot-menu.b or boot.b
+# default: 'menu' is default, unless you have a bitmap= line
+# Note: install=bmp must be used to see the bitmap menu.
+# install=menu
+# install=bmp
+install=bmp
+
+# Specifies the location of the map file
+#
+map=/boot/map
+
+# You can set a password here, and uncomment the `restricted' lines
+# in the image definitions below to make it so that a password must
+# be typed to boot anything but a default configuration. If a
+# command line is given, other than one specified by an `append'
+# statement in `lilo.conf', the password will be required, but a
+# standard default boot will not require one.
+#
+# This will, for instance, prevent anyone with access to the
+# console from booting with something like `Linux init=/bin/sh',
+# and thus becoming `root' without proper authorization.
+#
+# Note that if you really need this type of security, you will
+# likely also want to use `install-mbr' to reconfigure the MBR
+# program, as well as set up your BIOS to disallow booting from
+# removable disk or CD-ROM, then put a password on getting into the
+# BIOS configuration as well. Please RTFM `install-mbr(8)'.
+#
+# password=tatercounter2000
+
+# Specifies the number of deciseconds (0.1 seconds) LILO should
+# wait before booting the first image.
+#
+delay=20
+timeout=50
+
+# You can put a customized boot message up if you like. If you use
+# `prompt', and this computer may need to reboot unattended, you
+# must specify a `timeout', or it will sit there forever waiting
+# for a keypress. `single-key' goes with the `alias' lines in the
+# `image' configurations below. eg: You can press `1' to boot
+# `Linux', `2' to boot `LinuxOLD', if you uncomment the `alias'.
+#
+# message=/boot/bootmess.txt
+# prompt
+# single-key
+# delay=100
+# timeout=100
+
+# Specifies the VGA text mode at boot time. (normal, extended, ask, <mode>)
+#
+# vga=ask
+# vga=9
+#
+vga=0x317
+
+# Kernel command line options that apply to all installed images go
+# here. See: The `boot-prompt-HOWO' and `kernel-parameters.txt' in
+# the Linux kernel `Documentation' directory.
+#
+# append=""
+
+# Boot up Linux by default.
+#
+default=Kanotix
+
+image=/boot/vmlinuz
+ label=Kanotix
+ append="ramdisk_size=100000 lang=de apm=power-off nomce "
+ read-only
+# restricted
+# alias=1
+image=/boot/bzImage.2.6.9.poweroff
+ append="apm=power-off acpi=off"
+ label=PowerOff
+ read-only
+# restricted
+# alias=2
+
diff --git a/extra/make-new-makeconfig b/extra/make-new-makeconfig
new file mode 100644
index 0000000..c32f1a3
--- /dev/null
+++ b/extra/make-new-makeconfig
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# x-vdr (vdr-installer für kanotix)
+# von Marc Wernecke - www.zulu-entertainment.de
+# 29.08.2005
+
+
+
+source ./../x-vdr.conf
+source ./../functions
+[ -f ./../setup.conf ] && source ./../setup.conf
+
+
+make_makeconfig
+exit 0
+
diff --git a/extra/powerbtn.sh b/extra/powerbtn.sh
new file mode 100644
index 0000000..42322ae
--- /dev/null
+++ b/extra/powerbtn.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+# /etc/acpi/powerbtn.sh
+# Initiates a shutdown when the power putton has been
+# pressed.
+
+# If vdr is running, let it process the shutdown
+if pidof vdr; then
+ svdrpsend.pl HITK Power
+ exit 0
+fi
+
+# If powersaved is running, let it process the acpi event
+if pidof powersaved; then
+ exit 0
+fi
+
+if ps -Af | grep -q '[k]desktop' && test -f /usr/bin/dcop
+then
+ dcop --all-sessions --all-users ksmserver ksmserver logout 0 2 0 && exit 0
+else
+ /sbin/shutdown -h now "Power button pressed"
+fi
+acpi event \ No newline at end of file
diff --git a/extra/rc-update.sh b/extra/rc-update.sh
new file mode 100644
index 0000000..427b960
--- /dev/null
+++ b/extra/rc-update.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# vdr-installer fuer kanotix
+# von Marc Wernecke - 14.02.2006
+# kanotix gibt es bei http://www.kanotix.com
+#
+
+if [ $# -eq 0 ] ; then
+echo "this script needs a command..."
+echo "possible commands are..."
+echo "remove"
+echo "defaults"
+exit
+fi
+
+unfreeze-rc.d
+
+case $1 in
+ install )
+ if [ -f /etc/init.d/samba ] ; then update-rc.d samba defaults 50 ; fi
+ ;;
+
+ remove )
+ /etc/init.d/cupsys stop
+ update-rc.d -f cupsys remove
+ /etc/init.d/courier-authdaemon stop
+ update-rc.d -f courier-authdaemon remove
+ /etc/init.d/courier-mta stop
+ update-rc.d -f courier-mta remove
+ /etc/init.d/ppp stop
+ update-rc.d -f ppp remove
+ ;;
+ defaults )
+ if [ -f /etc/init.d/cupsys ] ; then update-rc.d cupsys defaults 20 ; fi
+ if [ -f /etc/init.d/courier-authdaemon ] ; then update-rc.d courier-authdaemon defaults 20 ; fi
+ if [ -f /etc/init.d/courier-mta ] ; then update-rc.d courier-mta defaults 20 ; fi
+ if [ -f /etc/init.d/ppp ] ; then update-rc.d ppp defaults 14 ; fi
+ ;;
+ * )
+ echo "\"$1\" - command not found"
+ echo "possible commands are..."
+ echo "remove"
+ echo "defaults"
+ ;;
+esac
+
+freeze-rc.d
+
+exit 0
diff --git a/extra/remote-event.sh b/extra/remote-event.sh
new file mode 100644
index 0000000..c059e55
--- /dev/null
+++ b/extra/remote-event.sh
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# x-vdr (Installations-Skript fuer einen VDR mit Debian als Basis)
+# von Marc Wernecke - www.zulu-entertainment.de
+# 25.04.2008
+
+RemoteConf="/var/lib/vdr/remote.conf"
+VdrConf="/etc/default/vdr"
+XvdrConf="/usr/local/src/x-vdr/setup.conf"
+
+if [ -r "$VdrConf" -a -w "$VdrConf" ]; then
+ . $VdrConf
+ [ -f "$VDRCONFDIR/remote.conf" ] && RemoteConf="$VDRCONFDIR/remote.conf"
+fi
+
+[ -w "$RemoteConf" ] || exit 1
+
+RemoteEvent=`grep -m1 "remote-event" $RemoteConf | cut -d "." -f1`
+[ -n "$RemoteEvent" ] || exit 2
+
+DeviceNr=`dmesg | grep -m1 "DVB on-card IR receiver" | tr "/" "\n" | grep input | grep [0-9] | cut -c6`
+[ -n "$DeviceNr" ] || exit 3
+
+if [ "$RemoteEvent" != "remote-event${DeviceNr}" ]; then
+ sed -i $RemoteConf -e s/$RemoteEvent/remote-event${DeviceNr}/g
+ echo "Changing Remote-Device in $RemoteConf from $RemoteEvent to remote-event${DeviceNr}"
+else
+ echo "Remote-Device in $RemoteConf is $RemoteEvent"
+fi
+
+if [ -w "$VdrConf" ]; then
+ if [ -n "$remote_event" ]; then
+ DeviceNrOld=`echo "$remote_event" | tr "/" "\n" | grep [0-9] | cut -c6`
+ if [ "$DeviceNrOld" != "$DeviceNr" ]; then
+ sed -i $VdrConf -e s?remote_event=\"/dev/input/event${DeviceNrOld}\"?remote_event=\"/dev/input/event${DeviceNr}\"?g
+ echo "Changing Remote-Device in $VdrConf from $remote_event to /dev/input/event${DeviceNr}"
+ fi
+ fi
+fi
+
+if [ -r "$XvdrConf" -a -w "$XvdrConf" ]; then
+ . $XvdrConf
+ if [ -n "$remote_event" ]; then
+ DeviceNrOld=`echo "$remote_event" | tr "/" "\n" | grep [0-9] | cut -c6`
+ if [ "$DeviceNrOld" != "$DeviceNr" ]; then
+ sed -i $XvdrConf -e s?remote_event=\"/dev/input/event${DeviceNrOld}\"?remote_event=\"/dev/input/event${DeviceNr}\"?g
+ echo "Changing Remote-Device in $XvdrConf from $remote_event to /dev/input/event${DeviceNr}"
+ fi
+ fi
+fi
+
+exit 0
diff --git a/extra/remote.conf b/extra/remote.conf
new file mode 100644
index 0000000..718d3e4
--- /dev/null
+++ b/extra/remote.conf
@@ -0,0 +1,124 @@
+KBD.Up 00000000001B5B41
+KBD.Down 00000000001B5B42
+KBD.Menu 000000000000006D
+KBD.Ok 000000000000000D
+KBD.Back 000000000000007F
+KBD.Left 00000000001B5B44
+KBD.Right 00000000001B5B43
+KBD.Red 000000001B5B5B41
+KBD.Green 000000001B5B5B42
+KBD.Yellow 000000001B5B5B43
+KBD.Blue 000000001B5B5B44
+KBD.0 0000000000000030
+KBD.1 0000000000000031
+KBD.2 0000000000000032
+KBD.3 0000000000000033
+KBD.4 0000000000000034
+KBD.5 0000000000000035
+KBD.6 0000000000000036
+KBD.7 0000000000000037
+KBD.8 0000000000000038
+KBD.9 0000000000000039
+KBD.Volume+ 000000000000002B
+KBD.Volume- 000000000000002D
+KBD.Mute 0000000000000073
+remote-event2._Setup /proc/av7110_ir 00000000 31
+remote-event2.Up 0000000100010021
+remote-event2.Down 0000000100010022
+remote-event2.Menu 000000010001000E
+remote-event2.Ok 0000000100010026
+remote-event2.Back 0000000100010020
+remote-event2.Left 0000000100010012
+remote-event2.Right 0000000100010011
+remote-event2.Red 000000010001000C
+remote-event2.Green 000000010001002F
+remote-event2.Yellow 0000000100010039
+remote-event2.Blue 000000010001002A
+remote-event2.0 0000000100010001
+remote-event2.1 0000000100010002
+remote-event2.2 0000000100010003
+remote-event2.3 0000000100010004
+remote-event2.4 0000000100010005
+remote-event2.5 0000000100010006
+remote-event2.6 0000000100010007
+remote-event2.7 0000000100010008
+remote-event2.8 0000000100010009
+remote-event2.9 000000010001000A
+remote-event2.Play 0000000100010036
+remote-event2.Pause 0000000100010031
+remote-event2.Stop 0000000100010037
+remote-event2.Record 0000000100010038
+remote-event2.FastFwd 0000000100010035
+remote-event2.FastRew 0000000100010033
+remote-event2.Channel+ 000000010001001F
+remote-event2.Channel- 0000000100010025
+remote-event2.Volume+ 000000010001003D
+remote-event2.Volume- 000000010001000D
+remote-event2.Mute 0000000100010010
+remote-event2.Power 000000010001003C
+LIRC.Up Up
+LIRC.Down Down
+LIRC.Menu Menu
+LIRC.Ok Ok
+LIRC.Back Back
+LIRC.Left Left
+LIRC.Right Right
+LIRC.Red Red
+LIRC.Green Green
+LIRC.Yellow Yellow
+LIRC.Blue Blue
+LIRC.Power Power
+LIRC.Volume+ Volume+
+LIRC.Volume- Volume-
+LIRC.Mute Mute
+LIRC.0 0
+LIRC.1 1
+LIRC.2 2
+LIRC.3 3
+LIRC.4 4
+LIRC.5 5
+LIRC.6 6
+LIRC.7 7
+LIRC.8 8
+LIRC.9 9
+LIRC.User1 User1
+LIRC.User2 User2
+LIRC.User3 User3
+LIRC.User4 User4
+LIRC.User5 User5
+LIRC.User6 User6
+LIRC.User7 User7
+LIRC.User8 User8
+LIRC.User9 User9
+softdevice-xv.Up 000000000000FF52
+softdevice-xv.Down 000000000000FF54
+softdevice-xv.Menu 000000000000006D
+softdevice-xv.Ok 000000000000FF0D
+softdevice-xv.Back 000000000000FF08
+softdevice-xv.Left 000000000000FF51
+softdevice-xv.Right 000000000000FF53
+softdevice-xv.Red 000000000000FFBE
+softdevice-xv.Green 000000000000FFBF
+softdevice-xv.Yellow 000000000000FFC0
+softdevice-xv.Blue 000000000000FFC1
+softdevice-xv.0 0000000000000030
+softdevice-xv.1 0000000000000031
+softdevice-xv.2 0000000000000032
+softdevice-xv.3 0000000000000033
+softdevice-xv.4 0000000000000034
+softdevice-xv.5 0000000000000035
+softdevice-xv.6 0000000000000036
+softdevice-xv.7 0000000000000037
+softdevice-xv.8 0000000000000038
+softdevice-xv.9 0000000000000039
+softdevice-xv.Volume+ 000000000000FFAB
+softdevice-xv.Volume- 000000000000FFAD
+softdevice-xv.Mute 000000000000FFAA
+softdevice-xv.Audio 000000000000FFC2
+softdevice-xv.Schedule 000000000000FFC3
+softdevice-xv.Channels 000000000000FFC4
+softdevice-xv.Timers 000000000000FFC5
+softdevice-xv.Recordings 000000000000FFC6
+softdevice-xv.Setup 000000000000FFC7
+softdevice-xv.Commands 000000000000FFC8
+softdevice-xv.User1 000000000000FFC9
diff --git a/extra/symsalabim b/extra/symsalabim
new file mode 100644
index 0000000..ffff0de
--- /dev/null
+++ b/extra/symsalabim
@@ -0,0 +1,82 @@
+#!/bin/sh
+# x-vdr (vdr-installer für kanotix)
+# von Marc Wernecke - www.zulu-entertainment.de
+# 20.07.2006
+
+# workingdir
+if [ $# -eq 0 ]; then
+ DIR="`pwd`/vdrsyms"
+else
+ DIR="$*"
+fi
+[ ! -d "$DIR" ] && mkdir -p "$DIR"
+
+# load settings
+SOURCEDIR=/usr/local/src
+XVDRCONF=`dirname $0`/../x-vdr.conf
+[ -f $XVDRCONF ] && . $XVDRCONF && echo "x-vdr.conf - found"
+. /etc/default/vdr && echo "/etc/default/vdr - found"
+
+## VDRCONFIG
+# symlink to $VDRCONFDIR
+_VDRCONFDIR="$DIR/`basename $VDRCONFDIR`"
+[ -L $_VDRCONFDIR ] && rm -f $_VDRCONFDIR
+[ ! -d $_VDRCONFDIR ] && ln -vnfs $VDRCONFDIR $_VDRCONFDIR
+
+# symlink to $VDRSCRIPTDIR
+_VDRSCRIPTDIR="$DIR/`basename $VDRSCRIPTDIR`"
+[ -L $_VDRSCRIPTDIR ] && rm -f $_VDRSCRIPTDIR
+[ ! -d $_VDRSCRIPTDIR ] && ln -vnfs $VDRSCRIPTDIR $_VDRSCRIPTDIR
+
+# symlink to $VDRLIBDIR
+_VDRLIBDIR="$DIR/`basename $VDRLIBDIR`"
+[ -L $_VDRLIBDIR ] && rm -f $_VDRLIBDIR
+[ ! -d $_VDRLIBDIR ] && ln -vnfs $VDRLIBDIR $_VDRLIBDIR
+
+# symlink to $VDRVARDIR
+_VDRVARDIR="$DIR/`basename $VDRVARDIR`"
+[ -L $_VDRVARDIR ] && rm -f $_VDRVARDIR
+[ ! -d $_VDRVARDIR ] && ln -vnfs $VDRVARDIR $_VDRVARDIR
+
+# symlink to $SOURCEDIR
+_SOURCEDIR="$DIR/`basename $SOURCEDIR`"
+[ -L $_SOURCEDIR ] && rm -f $_SOURCEDIR
+[ ! -d $_SOURCEDIR ] && ln -vnfs $SOURCEDIR $_SOURCEDIR
+
+# symlink to /etc/default/vdr
+_VDRDEFAULT="$DIR/vdr-default"
+[ -L $_VDRDEFAULT ] && rm -f $_VDRDEFAULT
+[ ! -d $_VDRDEFAULT ] && ln -vnfs /etc/default/vdr $_VDRDEFAULT
+
+## VDRMEDIA
+# symlink to $MEDIADIR
+_MEDIADIR="$DIR/`basename $MEDIADIR`"
+[ -L $_MEDIADIR ] && rm -f $_MEDIADIR
+[ ! -d $_MEDIADIR ] && ln -vnfs $MEDIADIR $_MEDIADIR
+
+# symlink to $VIDEODIR
+_VIDEODIR="$DIR/`basename $VIDEODIR`"
+[ -L $_VIDEODIR ] && rm -f $_VIDEODIR
+[ ! -d $_VIDEODIR ] && ln -vnfs $VIDEODIR $_VIDEODIR
+
+# symlink to $MUSICDIR
+_MUSICDIR="$DIR/`basename $MUSICDIR`"
+[ -L $_MUSICDIR ] && rm -f $_MUSICDIR
+[ ! -d $_MUSICDIR ] && ln -vnfs $MUSICDIR $_MUSICDIR
+
+# symlink to $DIVXDIR
+_DIVXDIR="$DIR/`basename $DIVXDIR`"
+[ -L $_DIVXDIR ] && rm -f $_DIVXDIR
+[ ! -d $_DIVXDIR ] && ln -vnfs $DIVXDIR $_DIVXDIR
+
+# symlink to $PICTUREDIR
+_PICTUREDIR="$DIR/`basename $PICTUREDIR`"
+[ -L $_PICTUREDIR ] && rm -f $_PICTUREDIR
+[ ! -d $_PICTUREDIR ] && ln -vnfs $PICTUREDIR $_PICTUREDIR
+
+# symlink to $DVDISODIR
+_DVDISODIR="$DIR/`basename $DVDISODIR`"
+[ -L $_DVDISODIR ] && rm -f $_DVDISODIR
+[ ! -d $_DVDISODIR ] && ln -vnfs $DVDISODIR $_DVDISODIR
+
+exit 0
diff --git a/extra/vdrcommander b/extra/vdrcommander
new file mode 100644
index 0000000..ba5471d
--- /dev/null
+++ b/extra/vdrcommander
@@ -0,0 +1,211 @@
+#!/bin/bash
+
+# vdr-commander 0.0.1 (start-script for VDR)
+# by Marc Wernecke - www.zulu-entertainment.de
+# 30.05.2007
+VERSION="vdrcommander 0.0.1"
+
+### Config ####################################################################################
+SERVERIP=""
+MAC=""
+NONROOT="true"
+
+### Arguments #################################################################################
+[ -r $HOME/vdrcommander.conf ] && . $HOME/vdrcommander.conf
+KILLVDR="false"
+RUNVDR="false"
+
+for i in $* ; do
+ case $1 in
+ --help|-h)
+ echo "$VERSION"
+ echo "--help|-h Shows the help text and exit"
+ echo "--nonroot|-n Sets NONROOT flag"
+ echo "--reset|-r Remove the configuration file (\$HOME/vdrcommander.conf)"
+ echo "--ip|-i [ip] 127.0.0.1 for localhost or any other ip for a vdr-server in your local-network"
+ echo "--mac|-m 00:00:00:00:00:00"
+ echo "--version|-v Shows the script version and exit"
+ exit 0
+ ;;
+ --nonroot|-n)
+ NONROOT="true"
+ ;;
+ --reset|-R)
+ if [ -f $HOME/vdrcommander.conf ]; then
+ rm -f $HOME/vdrcommander.conf
+ SERVERIP=
+ MAC=
+ fi
+ ;;
+ --killvdr|-k)
+ KILLVDR="true"
+ ;;
+ --runvdr|-r)
+ RUNVDR="true"
+ ;;
+ --ip|-i)
+ shift 1
+ SERVERIP="$1"
+ ;;
+ --mac|-m)
+ shift 1
+ MAC="$1"
+ ;;
+ --version|-v)
+ echo "$VERSION"
+ exit 0
+ ;;
+ esac
+ shift 1
+done
+
+if [ -n "`ps x --user root | grep "/usr/.*bin/X.*:0" | grep -v grep`" ]; then # X is running
+ DIALOG="Xdialog"
+ d_args="--left --wrap"
+ d_size="0 0"
+else
+ DIALOG="dialog"
+ d_args=""
+ d_size="19 70"
+fi
+
+
+### Functions #################################################################################
+function _exit() {
+ case $1 in
+ 0) exit 0
+ ;;
+ 1) exit 1
+ ;;
+ 2) exit 2
+ ;;
+ esac
+ exit 0
+}
+
+function _suonly() {
+ [ "$NONROOT" = "true" ] && return 0
+ # superuser only
+ SU=$(which kanotix-su)
+ [ -n "$SU" ] || SU=$(which su-me)
+ if [ "`id -u`" != "0" ] && [ -n "$SU" ]; then
+ exec $SU $0 $ARGS || _exit 1
+ _exit 0
+ else
+ return 2
+# _exit 2
+ fi
+ return 0
+}
+
+function _vdr() {
+ # Check if VDR is running
+ [ `ps -C vdr | grep -cw "vdr"` -eq 0 ] && return 1
+ return 0
+}
+
+function _serverip() {
+ SERVERIP=`$DIALOG $d_args --title " $VERSION " --inputbox "VDR-Server IP" 10 50 "$SERVERIP" 3>&1 1>&2 2>&3`
+ [ $? != 0 ] && return 1
+ [ "$SERVERIP" = "" ] && return 1
+ echo "SERVERIP=$SERVERIP" >> $HOME/vdrcommander.conf
+ return 0
+}
+
+function _mac() {
+ MAC=`$DIALOG $d_args --title " $VERSION " --inputbox "VDR-Server MAC" 10 50 "$MAC" 3>&1 1>&2 2>&3`
+ [ $? != 0 ] && return 1
+ [ "$MAC" = "" ] && return 1
+ echo "MAC=$MAC" >> $HOME/vdrcommander.conf
+ return 0
+}
+
+function _ping() {
+ [ -n "$SERVERIP" ] || return 2
+# $DIALOG $d_args --title " $VERSION " --infobox "Sende ping zu VDR-Server ($SERVERIP)" $d_size &
+ ping -c1 $SERVERIP > /dev/null || return 1
+ return 0
+}
+
+function _wakeonlan() {
+ [ -n "$SERVERIP" ] || _serverip
+ [ -n "$MAC" ] || _mac
+ _ping && return 0
+ $DIALOG $d_args --title " $VERSION " --infobox "Wecke VDR-Server ($MAC)" $d_size &
+ wakeonlan $MAC || return 1
+ STATUS="VDR-Server wurde gestartet"
+ return 0
+}
+
+function _runvdr() {
+ ARGS="--runvdr"
+ _suonly
+ _vdr || runvdr > /dev/null &
+ STATUS="VDR wurde gestartet"
+}
+
+function _killvdr() {
+ ARGS="--killvdr"
+ _suonly
+ _vdr || return 0
+ vdrplayer --exit
+ killall -9 runvdr
+ killall -9 vdr
+ STATUS="VDR wurde beendet"
+}
+
+function _status() {
+ USER=`id -un`
+ if [ -z "$STATUS" ]; then
+ STATUS="VDR ist aktiv"
+ _vdr || STATUS="VDR ist nicht aktiv"
+ fi
+ _ping && STATUS="$STATUS \nServer ist online ($SERVERIP)"
+}
+
+function _vdrversion() {
+ if [ "$DIALOG" = "Xdialog" ]; then
+ vdr --version > /tmp/vdrversion.txt
+ $DIALOG $d_args --title " $VERSION " --no-cancel --textbox "/tmp/vdrversion.txt" $d_size
+ else
+ VDRVERSION=$(vdr --version)
+ $DIALOG $d_args --title " $VERSION " --msgbox "$VDRVERSION" $d_size
+ fi
+}
+
+
+### Main Script ###############################################################################
+# superuser only
+_suonly
+NONROOT="false"
+[ "$KILLVDR" = "true" ] && _killvdr
+[ "$RUNVDR" = "true" ] && _runvdr
+[ -n "$SERVERIP" ] && $DIALOG $d_args --title " $VERSION " --infobox "Sende ping zu VDR-Server ($SERVERIP)" $d_size &
+
+# Dialog
+while true; do
+ _status
+ option=`$DIALOG $d_args --title " $VERSION" --menu \
+ "Benutzer ist \"$USER\" \n$STATUS" $d_size 10 \
+ '0' 'Anzeige aktualisieren' \
+ '1' 'VDR starten' \
+ '2' 'VDR beenden' \
+ '3' 'VDR Player aufrufen' \
+ '4' 'Server aufwecken' \
+ '5' 'x-vdr aufrufen' \
+ '6' 'VDR-Version anzeigen' 3>&1 1>&2 2>&3`
+ [ $? != 0 ] && _exit 1
+ ARGS=""
+ STATUS=""
+
+ case $option in
+ 1) _runvdr ;;
+ 2) _killvdr ;;
+ 3) vdrplayer & ;;
+ 4) _wakeonlan ;;
+ 5) x-vdr -x & ;;
+ 6) _vdrversion ;;
+ esac
+done
+
+_exit 0 \ No newline at end of file
diff --git a/extra/x-vdr.desktop b/extra/x-vdr.desktop
new file mode 100644
index 0000000..322fccc
--- /dev/null
+++ b/extra/x-vdr.desktop
@@ -0,0 +1,19 @@
+[Desktop Entry]
+Comment=
+Comment[de]=
+Encoding=UTF-8
+Exec=x-vdr
+GenericName=
+GenericName[de]=
+Icon=
+MimeType=
+Name=x-vdr
+Name[de]=x-vdr
+Path=
+StartupNotify=false
+Terminal=false
+TerminalOptions=
+Type=Application
+X-DCOP-ServiceType=none
+X-KDE-SubstituteUID=false
+X-KDE-Username=
diff --git a/extra/xhost b/extra/xhost
new file mode 100644
index 0000000..e539390
--- /dev/null
+++ b/extra/xhost
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+xhost local:localhost
+
+exit 0
diff --git a/extra/xine-mplayer-sh/mplayer.sh b/extra/xine-mplayer-sh/mplayer.sh
new file mode 100644
index 0000000..c7c9829
--- /dev/null
+++ b/extra/xine-mplayer-sh/mplayer.sh
@@ -0,0 +1,63 @@
+#!/bin/sh
+#
+# mplayer.sh for x-vdr and xine
+# Marc Wernecke - www.zulu-entertainment.de
+# 28.09.2005
+#
+# This script is called from VDR to start mplayer
+#
+# argument 1: the file to play
+# argument 2: (optional) the phrase SLAVE if SlaveMode is enabled
+# argument 3: (optional) the phrase AID x to select audio stream x
+
+# Where to find mplayer
+MPLAYER="mplayer"
+
+# mplayer options
+OPTS="-fs -vo xv -ao oss -cache 4096"
+
+# mplayer options for SlaveMode
+SLAVE="-slave -quiet -nolirc"
+
+# DVD-Device
+DVD="/dev/dvd"
+
+# What languages do your DVD's use ?
+DVDLANG="de"
+
+# extra DVD options
+DVDOPTIONS="-af list=volume:volume=170"
+
+####################################################################################
+
+FILE=$1
+type=`file "$FILE"`
+
+while shift; do
+ if [ "$1" = "SLAVE" ]; then
+ sopt=$SLAVE
+ elif [ "$1" = "AID" ]; then
+ aopt="-aid $2"
+ shift
+ fi
+done
+
+CMDLINE="$MPLAYER $OPTS $sopt $aopt"
+
+# get the file extension of the video
+SUFFIX=$(echo -e "${FILE:$[${#FILE}-4]:4}" | tr [A-Z] [a-z])
+
+# for debug only
+echo "MPLayer command: $CMDLINE" 2>&1 |logger
+
+case $SUFFIX in
+ .iso ) DISPLAY=:0.0 $CMDLINE -alang $DVDLANG $DVDOPTIONS -dvd-device "$FILE" dvd:// 2>&1 |logger;;
+ /dvd ) DISPLAY=:0.0 $CMDLINE -alang $DVDLANG $DVDOPTIONS -dvd-device $DVD dvd:// 2>&1 |logger ;;
+ /vcd ) DISPLAY=:0.0 $CMDLINE -cdrom-device $DVD vcd:// 2>&1 |logger;;
+ .cue ) DISPLAY=:0.0 $CMDLINE -cdrom-device $DVD cue://"$FILE":2 2>&1 |logger ;;
+ * ) DISPLAY=:0.0 $CMDLINE "$FILE" 2>&1 |logger ;;
+esac
+
+exit
+
+####################################################################################
diff --git a/extra/xine-vdr.desktop b/extra/xine-vdr.desktop
new file mode 100644
index 0000000..2e2e5da
--- /dev/null
+++ b/extra/xine-vdr.desktop
@@ -0,0 +1,22 @@
+[Desktop Entry]
+Version=1.0
+Encoding=UTF-8
+Name=xine-vdr
+Comment=
+Comment[de]=
+Exec=xine "vdr:/tmp/vdr-xine/stream#demux:mpeg_pes" -f -g --post vdr --post vdr_audio
+GenericName=dvb
+GenericName[de]=dvb
+Icon=video
+MimeType=video/mp4;video/mpeg;video/quicktime;video/x-flic;video/x-msvideo;video/x-ogm;video/x-theora;
+Name[de]=xine-vdr
+Path=
+ServiceTypes=
+StartupNotify=false
+Terminal=false
+TerminalOptions=
+Type=Application
+X-DCOP-ServiceType=none
+X-KDE-SubstituteUID=false
+X-KDE-Username=
+GenericName[de_DE@euro]=dvb